/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
   SELOR - Servidor de Emails Livre Orientado a Regras                           
   Programado por Lucas Priori                                                   
   Versao: 1.2                                                                   
                                                                                 
   Linux - make linux                                                            
       or  make linux_nocap                                                      
   FreeBSD - gmake freebsd                                                       
                                                                                 
  *******************************************************************            
  Selor e um agente MTA para troca de emails via protocolo SMTP                 
  Copyright (C) 2012,2013,2014  Lucas Priori                                     
                                                                                 
  This program is free software; you can redistribute it and/or                  
  modify it under the terms of the GNU General Public License                    
  as published by the Free Software Foundation; either version 2                 
  of the License, or (at your option) any later version.                         
                                                                                 
  This program is distributed in the hope that it will be useful,                
  but WITHOUT ANY WARRANTY; without even the implied warranty of                 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  
  GNU General Public License for more details.                                   
                                                                                 
  You should have received a copy of the GNU General Public License              
  along with this program; if not, write to the Free Software                    
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/

// -- Variaveis globais --
struct hostent *host_ips;
struct str_dns_resp{
 char nome[NS_MAXDNAME];
 unsigned short pref;
}dns_resp[MAX_query_mx], dns_resp_indexado[MAX_query_mx];
// Variaveis de controle de achar_mx e prox_mx
unsigned int dns_num_mxzes;
unsigned int dns_num_mx;
unsigned int dns_num_ip;
//

//---------------------------------------------------------------------
char reverso(unsigned int ip, char *nome_rev, int tam_nome_rev);
//---------------------------------------------------------------------
int dns_query(char *dominio, int tipo, unsigned int *num_regs);
//---------------------------------------------------------------------
unsigned int resolver_dom(char *dominio, char *ip, int indice);
//---------------------------------------------------------------------
int achar_mx(char *dominio, unsigned int *num_regs);
//---------------------------------------------------------------------
unsigned int prox_mx(char *ip, char ip_ver_alias);
//---------------------------------------------------------------------
char ip_local(unsigned int ip);
//---------------------------------------------------------------------
unsigned short rbl_check(unsigned int ipn, char *rbl_list, char *txt, unsigned int tam_txt);
//---------------------------------------------------------------------
char spf_check(char *dominio, unsigned int ipn);
//---------------------------------------------------------------------


